Plank.AbstractMain – plank Reference Manual

# AbstractMain

## Object Hierarchy:

## Description:

public abstract class AbstractMain : Application

The main class for all dock applications. All docks should extend this class. In the constructor, the string fields should be initialized to customize the dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public string build_data_dir { construct; get; }
  Should be Build.DATADIR
- public string build_pkg_data_dir { construct; get; }
  Should be Build.PKGDATADIR
- public string build_release_name { construct; get; }
  Should be Build.RELEASE_NAME
- public string build_version { construct; get; }
  Should be Build.VERSION
- public string build_version_info { construct; get; }
  Should be Build.VERSION_INFO
- public string program_name { construct; get; }
  The displayed name of the program.
- public string exec_name { construct; get; }
  The executable name of the program.
- public string app_copyright { construct; get; }
  The copyright year(s).
- public string app_dbus { construct; get; }
  The (unique) dbus path for this program.
- public string app_icon { construct; get; }
  The name of this program's icon.
- public string app_launcher { construct; get; }
  The name of the launcher (.desktop file) for this program.
- public string main_url { construct set; get; }
  The URL for this program's website.
- public string help_url { construct set; get; }
  The URL for this program's help.
- public string translate_url { construct set; get; }
  The URL for translating this program.
- public string[] about_authors { construct set; get; }
  The list of authors (to show in about dialog).
- public string[] about_documenters { construct set; get; }
  The list of documenters (to show in about dialog).
- public string[] about_artists { construct set; get; }
  The list of artists (to show in about dialog).
- public string about_translators { construct set; get; }
  The list of translators (to show in about dialog).
- public License about_license_type { construct set; get; }
  The license of this program (to show in about dialog).

### Creation methods:

- public AbstractMain ()

### Methods:

- public override void activate ()
- public override int handle_local_options (VariantDict options)
- public override int command_line (ApplicationCommandLine command_line)
- public override void startup ()
- protected virtual void initialize ()
  Additional initializations before the dock is created.
- protected virtual void create_docks ()
  Creates the docks.
- protected virtual void create_actions ()
  Creates the actions and adds them to this GLib.Application.
- public bool is_launcher_for_dock (string launcher)
  Is true if the launcher given is the launcher for this dock.

### Inherited Members:

All known members inherited from class Gtk.Application

- active_window
- app_menu
- menubar
- register_session
- add_accelerator
- add_window
- get_accels_for_action
- get_actions_for_accel
- get_active_window

- get_app_menu
- get_menu_by_id
- get_menubar
- get_window_by_id
- get_windows
- inhibit
- is_inhibited
- list_action_descriptions
- prefers_app_menu

- remove_accelerator
- remove_window
- set_accels_for_action
- set_app_menu
- set_menubar
- uninhibit
- window_added
- window_removed

All known members inherited from class GLib.Application

- action_group
- application_id
- flags
- inactivity_timeout
- is_busy
- is_registered
- is_remote
- resource_base_path
- get_default
- id_is_valid
- add_main_option
- add_main_option_entries
- add_option_group
- add_platform_data
- after_emit
- before_emit
- bind_busy_property
- dbus_register

- dbus_unregister
- get_application_id
- get_dbus_connection
- get_dbus_object_path
- get_flags
- get_inactivity_timeout
- get_is_busy
- get_is_registered
- get_is_remote
- get_resource_base_path
- hold
- local_command_line
- mark_busy
- quit
- quit_mainloop
- register
- release
- run

- run_mainloop
- send_notification
- set_action_group
- set_application_id
- set_default
- set_flags
- set_inactivity_timeout
- set_resource_base_path
- unbind_busy_property
- unmark_busy
- withdraw_notification
- activate
- command_line
- handle_local_options
- open
- shutdown
- startup

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count

All known members inherited from interface GLib.ActionGroup

- activate_action
- change_action_state
- get_action_enabled
- get_action_parameter_type
- get_action_state

- get_action_state_hint
- get_action_state_type
- has_action
- list_actions
- query_action

- action_added
- action_enabled_changed
- action_removed
- action_state_changed

All known members inherited from interface GLib.ActionMap

- add_action
- add_action_entries

- lookup_action

- remove_action